Skip to main content
GET
/
v1
/
accounts
/
{accountId}
/
messages
cURL
curl -X GET \
  https://api.sakari.io/v1/accounts/{{ACCOUNT_ID}}/messages \
  -H 'Authorization: Bearer {{TOKEN}}'
{
  "success": true,
  "pagination": {
    "limit": 123,
    "offset": 123,
    "hasNext": true
  },
  "data": [
    {
      "id": "<string>",
      "status": "<string>",
      "created": {
        "at": "2023-11-07T05:31:56Z",
        "by": {
          "id": "<string>",
          "name": "Joe Bloggs",
          "firstName": "Joe",
          "lastName": "Bloggs",
          "email": "joe@bloggs.com",
          "source": "<string>",
          "subSource": "<string>"
        }
      },
      "type": "<string>",
      "message": "<string>",
      "template": "<string>",
      "outgoing": true,
      "phoneNumber": "+1234567890",
      "price": 123,
      "segments": 123,
      "read": true,
      "media": [
        {
          "url": "<string>",
          "type": "<string>",
          "name": "<string>",
          "filename": "<string>"
        }
      ],
      "sendAt": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

accountId
string
required

Account to apply operations to

Query Parameters

offset
integer<int64>

Results to skip when paginating through a result set

Required range: x >= 0
limit
integer<int64>

Maximum number of results to return

Required range: 1 <= x <= 100
contactId
string

ID of contact

conversationId
string

ID of conversation

Response

successful operation

success
boolean
required
pagination
object
required
data
object[]
required